Name:		webef
Version:	0.3.2
Release:	%mkrel 10
Summary:	A web bruteforcer
License:	GPL
Group:		Monitoring
URL:		http://www.hsc.fr/ressources/outils/webef/
Source:     http://www.hsc.fr/ressources/outils/webef/download/webef-%{version}.tar.gz
Patch1:		webef-0.3.2-openssl11.patch
BuildRequires:  pkgconfig(openssl)

%description
webef is a web bruteforcer. It is designed to find directories or files in a
web server using a wordlist brute force.
It supports multithreading, Post data bruteforcing, headers adding, HTTP 1.1
requests, HTTPS, client certificate file.
It is possible to hide results, depending on their HTTP response code or 
response size.
Two wordlist files are allowed.

%prep
%setup -q
%autopatch -p1

%build
%make CFLAGS="%{optflags} -D_GNU_SOURCE -I includes"

%install
install -d -m 755 %{buildroot}%{_bindir}

install -m 755 webef %{buildroot}%{_bindir}

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/webef



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.3.2-10.mga8
+ Revision: 1518064
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.2-9.mga7
+ Revision: 1301658
- Mageia 7 Mass Rebuild

* Wed Sep 06 2017 cjw <cjw> 0.3.2-8.mga7
+ Revision: 1151596
- fix build with openssl 1.1

* Thu Mar 03 2016 umeabot <umeabot> 0.3.2-7.mga6
+ Revision: 984748
- Rebuild for openssl

* Mon Feb 08 2016 umeabot <umeabot> 0.3.2-6.mga6
+ Revision: 943532
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-5.mga5
+ Revision: 750449
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-4.mga5
+ Revision: 690283
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.2-3.mga4
+ Revision: 520053
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3.2-2.mga3
+ Revision: 385654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 guillomovitch <guillomovitch> 0.3.2-1.mga2
+ Revision: 154239
- imported package webef


* Tue Oct 11 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.2-1.mga2
- first mageia package

